<mat-accordion>
    <mat-expansion-panel hideToggle (opened)="panelOpenState=true" (closed)="panelOpenState =false">
        <mat-expansion-panel-header>
            <mat-panel-title>
                <button
                        class="sidenav-button"
                        type="button"
                        mat-icon-button>
                    <mat-icon *ngIf="!panelOpenState">menu</mat-icon>
                    <mat-icon *ngIf="panelOpenState">expand_less</mat-icon>
                </button> Settings
            </mat-panel-title>
        </mat-expansion-panel-header >
        <mat-slide-toggle
                (change)="restrictTrainees()"
                [disabled]="restrictToCustomTimelines"
                [checked]="restrictToVisibleTrainees"
                matTooltip="In selected runs, this ensures that only the relevant trainee timeline portion is displayed.">
            Automatically restrict timeline (crop the area with selected runs only)
        </mat-slide-toggle>
        <hr [style.margin]="'25px 0px'">
        <mat-slide-toggle
                (change)="restrictCustom()"
                [disabled]="restrictToVisibleTrainees"
                [checked]="restrictToCustomTimelines"
                matTooltip="In selected runs, this ensures that only the relevant trainee timeline portion is displayed.">
            Manually restrict timeline
        </mat-slide-toggle>
        <br/><br/>
        <div *ngIf="restrictToCustomTimelines">
            <p>Restrict the lower and upped bounds (absolute time in milliseconds) which the timeline shows.</p>

            <mat-form-field [style.width]="'190px'">
                <mat-label>
                    {{'Start in ms (' + formatTime(customRestrictedXScale.min + customRestrictedXScale.minRestriction) + ')'}}
                </mat-label>
                <input matInput
                       [min]="0"
                       (change)="updateVisibleTimeline($event, 'min')"
                       [max]="customRestrictedXScale.max"
                       type="number"
                       placeholder="Starting timestamp"
                       [value]="(customRestrictedXScale.min + customRestrictedXScale.minRestriction).toString()"/>
            </mat-form-field>

            <mat-slider [min]="0"
                        [max]="customRestrictedXScale.max"
                        [disabled]="!restrictToCustomTimelines"
                        showTickMarks
                        [step]="timelineStepSize"
                        discrete
                        [displayWith]="formatTime"
                        [style.width]="'calc(100% - 480px)'"
                        [style.margin]="'10px 50px'">
                <input [value]="customRestrictedXScale.min + customRestrictedXScale.minRestriction"
                       matSliderStartThumb
                       (valueChange)="updateVisibleTimeline($event, 'min')">
                <input [value]="customRestrictedXScale.max - customRestrictedXScale.maxRestriction"
                       matSliderEndThumb
                       (valueChange)="updateVisibleTimeline($event, 'max')">
            </mat-slider>

            <mat-form-field [style.width]="'190px'">
                <mat-label>
                    {{'End in ms (' + formatTime(customRestrictedXScale.max - customRestrictedXScale.maxRestriction) + ')'}}
                </mat-label>
                <input matInput
                       [min]="0"
                       [max]="customRestrictedXScale.max"
                       (change)="updateVisibleTimeline($event, 'max')"
                       type="number"
                       placeholder="Ending timestamp"
                       [value]="(customRestrictedXScale.max - customRestrictedXScale.maxRestriction).toString()"/>
            </mat-form-field>
        </div>
    </mat-expansion-panel>
</mat-accordion>